curl --request POST \
--url https://api.twexapi.io/twitter/tweets/quotes/page \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tweet_id": "<string>",
"sort_by": "Top",
"next_cursor": "scroll:thGQYTMwMjU5NDA4ODc4ODc6MjU5NDA4ODc4ODc6"
}
'import requests
url = "https://api.twexapi.io/twitter/tweets/quotes/page"
payload = {
"tweet_id": "<string>",
"sort_by": "Top",
"next_cursor": "scroll:thGQYTMwMjU5NDA4ODc4ODc6MjU5NDA4ODc4ODc6"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
tweet_id: '<string>',
sort_by: 'Top',
next_cursor: 'scroll:thGQYTMwMjU5NDA4ODc4ODc6MjU5NDA4ODc4ODc6'
})
};
fetch('https://api.twexapi.io/twitter/tweets/quotes/page', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 123,
"msg": "<string>",
"data": [
{
"tweet_id": "1803006263529541838",
"text": "<string>",
"is_paid_promotion": true,
"created_at": "Mon Jun 17 03:51:48 +0000 2024",
"created_at_datetime": "2024-06-17T03:51:48.000Z",
"bookmark_count": 0,
"bookmarked": false,
"community_note": "<string>",
"edit_tweet_ids": [],
"editable_until_msecs": "<string>",
"edits_remaining": "<string>",
"favorite_count": 0,
"favorited": false,
"full_text": "<string>",
"has_card": false,
"has_community_notes": false,
"hashtags": [
"AI",
"Python"
],
"cashtags": [
"$TSLA"
],
"id": "<string>",
"in_reply_to": "<string>",
"in_reply_to_user_id": "<string>",
"in_reply_to_screen_name": "<string>",
"is_edit_eligible": false,
"is_quote_status": false,
"quoted_status_id_str": "<string>",
"is_translatable": false,
"lang": "en",
"media": [],
"place": "<string>",
"poll": "<string>",
"possibly_sensitive": true,
"possibly_sensitive_editable": true,
"quote": "<unknown>",
"quote_count": 0,
"related_tweets": [],
"replies": [],
"reply_count": 0,
"reply_to": "<unknown>",
"retweet_count": 0,
"retweeted_tweet": "<unknown>",
"thread": [
"<unknown>"
],
"thumbnail_title": "<string>",
"thumbnail_url": "<string>",
"urls": [],
"user": {
"id": "1717001045992251392",
"name": "Cryptoklepto",
"screen_name": "CK_Cryptoklepto",
"created_at": "Mon Oct 28 02:32:47 +0000 2024",
"created_at_datetime": "2024-10-28T02:32:47.000Z",
"can_dm": false,
"can_media_tag": false,
"default_profile": false,
"default_profile_image": false,
"description": "",
"description_urls": [],
"urls": [
{
"url": "https://www.google.com",
"expanded_url": "https://www.google.com",
"display_url": "www.google.com"
}
],
"fast_followers_count": 0,
"favourites_count": 0,
"followers_count": 0,
"following_count": 0,
"has_custom_timelines": false,
"is_blue_verified": false,
"verified_type": "government",
"is_verified": false,
"profile_image_shape": "Circle",
"is_translator": false,
"listed_count": 0,
"location": "New York, USA",
"media_count": 0,
"normal_followers_count": 0,
"pinned_tweet_ids": [],
"possibly_sensitive": false,
"profile_banner_url": "<string>",
"profile_image_url": "<string>",
"protected": false,
"statuses_count": 0
},
"view_count": "<string>",
"view_count_state": "<string>",
"status": {},
"target_count": 123
}
],
"has_next_page": true,
"next_cursor": "scroll:thGQYTMwMjU5NDA4ODc4ODc6MjU5NDA4ODc4ODc6"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Get Quote Tweets by Page
Retrieve quote tweets using cursor-based pagination. Each page returns up to 20 tweets. Use Latest for chronological order or Top for ranked results. Pass next_cursor from the previous response to continue.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
The ID of the tweet to get quote tweets for.
Sort order for quote tweets. Latest for chronological order or Top for ranked results.
Top, Latest Cursor returned by the previous page. Leave empty to fetch the first page.
"scroll:thGQYTMwMjU5NDA4ODc4ODc6MjU5NDA4ODc4ODc6"
Response
Current page data (up to 20 quote tweets) and pagination metadata (has_next_page, next_cursor).
The status code of the response.
The message of the response.
A list of quote tweet objects for the current page.
Show child attributes
Show child attributes
Whether another page is available.
Use this cursor to fetch the next page when has_next_page is true.
"scroll:thGQYTMwMjU5NDA4ODc4ODc6MjU5NDA4ODc4ODc6"